Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmApprovalScreen.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmApprovalScreen.designer.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmApprovalScreen.designer.cs	(revision 83)
@@ -848,13 +854,12 @@
             this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmApprovalScreen_FormClosing);
             this.Load += new System.EventHandler(this.FrmApprovalScreen_Load);
             this.KeyDown += new System.Windows.Forms.KeyEventHandler(this.FrmApprovalScreen_KeyDown);
-            this.tableLayoutPanel1.ResumeLayout(false);
             this.panel2.ResumeLayout(false);
             this.panel1.ResumeLayout(false);
             this.panel3.ResumeLayout(false);
-            this.panel3.PerformLayout();
             this.panel4.ResumeLayout(false);
             this.panel4.PerformLayout();
+            this.panel5.ResumeLayout(false);
             ((System.ComponentModel.ISupportInitialize)(this.dgvEntryData)).EndInit();
             this.ResumeLayout(false);
 
@@ -864,14 +869,6 @@
 
         private System.Windows.Forms.Label label1;
         private System.Windows.Forms.Button btnEnd;
-        private System.Windows.Forms.TableLayoutPanel tableLayoutPanel1;
-        private System.Windows.Forms.Label lblConstructionCodelabel;
-        private System.Windows.Forms.Label lblLabel01;
-        private System.Windows.Forms.Label label5;
-        private System.Windows.Forms.Label lblLabel03;
-        private System.Windows.Forms.Label label2;
-        private System.Windows.Forms.Label lblLabel02;
-        private System.Windows.Forms.Label lblLabel04;
         private System.Windows.Forms.Panel panel2;
         private DataGridViewEX dgvEntryData;
         private System.Windows.Forms.Panel panel1;
@@ -878,9 +875,6 @@
         private System.Windows.Forms.Panel panel3;
         private System.Windows.Forms.ToolTip toolTip1;
         private System.Windows.Forms.Panel panel4;
-        private System.Windows.Forms.Label label3;
-        private System.Windows.Forms.Label lblLabel12;
-        private System.Windows.Forms.Label label13;
         private System.Windows.Forms.Label lblLabel09;
         private System.Windows.Forms.Label label4;
         private System.Windows.Forms.Label label16;
@@ -891,7 +885,6 @@
         private System.Windows.Forms.Label label11;
         private System.Windows.Forms.Label label12;
         private System.Windows.Forms.TextBox txtHoppesDate;
-        private System.Windows.Forms.Label label14;
         private System.Windows.Forms.Button btnPetition;
         private System.Windows.Forms.Label lblLabel05;
         private System.Windows.Forms.Label label6;
@@ -901,16 +894,29 @@
         private System.Windows.Forms.Label label9;
         private System.Windows.Forms.Label label8;
         private System.Windows.Forms.Label label7;
-        private TextBoxEX txtApprovalComment;
-        private System.Windows.Forms.Button btnTargetData;
-        private System.Windows.Forms.Label label15;
         private System.Windows.Forms.Button btnApproval;
         private System.Windows.Forms.Button btnNotApproval;
         private System.Windows.Forms.Button btnOnHold;
-        private TextBoxEX txtPetitionComment;
-        private System.Windows.Forms.Button btnNotPetition;
+        private System.Windows.Forms.Button btnRePetition;
+        private System.Windows.Forms.Label lblLabel03;
+        private System.Windows.Forms.Label label2;
+        private System.Windows.Forms.Label lblLabel01;
+        private System.Windows.Forms.Label label5;
+        private System.Windows.Forms.Label lblLabel04;
+        private System.Windows.Forms.Label lblLabel02;
+        private System.Windows.Forms.Label lblConstructionCodelabel;
+        private System.Windows.Forms.Label label3;
+        private System.Windows.Forms.Label lblLabel12;
+        private System.Windows.Forms.Label label13;
+        private System.Windows.Forms.Button btnTargetData;
         private System.Windows.Forms.Label label17;
         private System.Windows.Forms.Label lblLabel15;
+        private System.Windows.Forms.Panel panel5;
+        private System.Windows.Forms.TreeView tvDispData;
+        private System.Windows.Forms.Label label18;
+        private System.Windows.Forms.Button btnRemoveComment;
+        private System.Windows.Forms.Button btnEntryComment;
+        private System.Windows.Forms.Button btnReturnComment;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column01;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column02;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column03;
@@ -918,6 +924,6 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column07;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column04;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column05;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
+        private System.Windows.Forms.Button btnNotPetition;
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmApprovalScreenAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmApprovalScreenAuxiliary.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmApprovalScreenAuxiliary.cs	(revision 83)
@@ -7,6 +7,8 @@
 using System.Windows.Forms;
 using System.Collections;
 using System.Linq;
+using System.Diagnostics;
+using System.Data.Common;
 
 using log4net;
 using log4net.Appender;
@@ -261,18 +263,18 @@
                     case (int)CommonDefine.ApprovalStatus.Approval:
                         // ----- 承認
                         // 案件に対して最終承認がされているかを確認する
-                        if (ClsApprovalPermission.CheckApprovalData(m_ConstructionCode, m_ApprovalCode, m_OrderNo))
+                        if (ClsApprovalPermission.CheckProcessApprovalData(m_ConstructionCode, m_ApprovalCode, m_OrderNo))
                         {
                             // 最終承認がされていれば申請レコードを承認へ変更する
-                            ClsApprovalPermission.SetPrimaryRecStatus(m_ConstructionCode, m_ApprovalCode, m_OrderNo, (int)CommonDefine.ApprovalStatus.Approval);
+                            ClsApprovalPermission.SetPrimaryRecStatus(m_ConstructionCode, m_ApprovalCode, m_OrderNo, statusCode);
                             
                             // 工事詳細台帳データを作成するデータがある
                             CaretaLedgerData();
                         }
                         break;
-                    case (int)CommonDefine.ApprovalStatus.NotApproval:
-                        // ----- 非承認
-                        ClsApprovalPermission.SetPrimaryRecStatus(m_ConstructionCode, m_ApprovalCode, m_OrderNo, (int)CommonDefine.ApprovalStatus.NotApproval);
+                    default:
+                        // ----- 承認以外
+                        ClsApprovalPermission.SetPrimaryRecStatus(m_ConstructionCode, m_ApprovalCode, m_OrderNo, statusCode);
                         break;
                 }
                 return true;
@@ -313,17 +315,6 @@
                 }
                 // 承認状態をセットする
                 Rec.ApprovalStatus = Status;
-                int CtrlCnt = -1;
-                switch (Status)
-                {
-                    case (int)CommonDefine.ApprovalStatus.Petition:
-                        CtrlCnt = (int)DispHeader.PetitionComment;
-                        break;
-                    default:
-                        CtrlCnt = (int)DispHeader.ApprovalComment;
-                        break;
-                }
-                if (this.Visible) Rec.InputComment = m_dispLabelControl[CtrlCnt].Text.ToString();
             }
             catch (Exception ex)
             {
@@ -386,12 +377,10 @@
             m_dispLabelControl[(int)DispHeader.ApprovalStatus] = lblLabel06;
             m_dispLabelControl[(int)DispHeader.ApprovalDepartmentName] = lblLabel07;
             m_dispLabelControl[(int)DispHeader.ApprovalDisplayString] = lblLabel08;
-            m_dispLabelControl[(int)DispHeader.ApprovalComment] = txtApprovalComment;
             m_dispLabelControl[(int)DispHeader.PetitionName] = lblLabel09;
             m_dispLabelControl[(int)DispHeader.PetitionStatus] = lblLabel10;
             m_dispLabelControl[(int)DispHeader.PetitionHopeDates] = txtHoppesDate;
             m_dispLabelControl[(int)DispHeader.PetitionDepartmentName] = lblLabel13;
-            m_dispLabelControl[(int)DispHeader.PetitionComment] = txtPetitionComment;
             m_dispLabelControl[(int)DispHeader.ApprovalProcess] = lblLabel12;
             m_dispLabelControl[(int)DispHeader.ApprovalDate] = lblLabel14;
             m_dispLabelControl[(int)DispHeader.EstimateType] = lblLabel15;
@@ -404,22 +393,30 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispLabelControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                wrk.Text = "";
+                foreach (Control wrk in m_dispLabelControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    wrk.Text = "";
+                }
+
+                dgvEntryData.Rows.Clear();
+                tvDispData.Nodes.Clear();
             }
-
-            dgvEntryData.Rows.Clear();
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
-        #region 申請取消しボタンの表示状態を変える
+        #region 再申請ボタンの表示状態を変える
         /// <summary>
-        /// 申請取消しボタンの表示状態を変える
+        /// 再申請ボタンの表示状態を変える
         /// </summary>
         /// <param name="Status"></param>
-        private void DispNotPetitionButton(int Status)
+        private void DispRePetitionButton(int Status)
         {
             IOProcessApproval pAppDB = new IOProcessApproval();
             try
@@ -435,8 +432,11 @@
                 }
                 else
                 {
+                    pRec.ApprovalStatus = (int)CommonDefine.ApprovalStatus.Undecided;    // 未定
+
                     // データが無い場合（申請時）はログインユーザー
                     CurrentPerson = CommonMotions.LoginUserData.PersonCode;
+                    pRec.PersonCode = CommonMotions.LoginUserData.PersonCode;
                 }
 
                 // 新セキュリティデータ対応済みかを確認する
@@ -476,16 +476,77 @@
                 }
 
                 // 申請・承認以外は申請ボタンを表示する
-                switch (pRec.ApprovalStatus)
+                DispButtonInput(pRec.ApprovalStatus);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                pAppDB.close(); pAppDB = null;
+            }
+
+        }
+        #endregion
+
+        #region 承認ボタン・承認日付の表示制御
+        /// <summary>
+        /// 承認ボタン・承認日付の表示制御
+        /// </summary>
+        /// <param name="ApprovalStatus"></param>
+        private void DispButtonInput(int ApprovalStatus)
+        {
+            try
+            {
+                // 申請・承認以外は申請ボタンを表示する
+                switch (ApprovalStatus)
                 {
                     case (int)CommonDefine.ApprovalStatus.Petition:     // 申請
                     case (int)CommonDefine.ApprovalStatus.Pending:      // 保留
                     case (int)CommonDefine.ApprovalStatus.Approval:     // 承認
                     case (int)CommonDefine.ApprovalStatus.NotApproval:  // 不承認
-                        btnNotPetition.Visible = true;                                                                      // 申請取消ボタン
+                        btnPetition.Visible = false;                // 申請ボタン
+
+                        // 注文書承認は承認取り消しがある
+                        switch (m_ApprovalCode)
+                        {
+                            case (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval:
+                                btnRePetition.Visible = true;               // 再申請ボタン
+                                btnRePetition.Left = s_ButtonPosition[1].X;
+                                btnRePetition.Top = s_ButtonPosition[1].Y;
+
+                                btnNotPetition.Visible = true;              // 申請取消ボタン
+                                btnNotPetition.Left = s_ButtonPosition[2].X;
+                                btnNotPetition.Top = s_ButtonPosition[2].Y;
+                                break;
+                            default:
+                                btnRePetition.Visible = true;               // 再申請ボタン
+                                btnRePetition.Left = s_ButtonPosition[2].X;
+                                btnRePetition.Top = s_ButtonPosition[2].Y;
+                                break;
+                        }
+
+                        txtHoppesDate.Enabled = false;              // 承認希望日
+
+                        btnApproval.Visible = true;                 // 承認ボタン
+                        btnNotApproval.Visible = true;              // 不承認ボタン
+                        btnOnHold.Visible = true;                   // 保留ボタン
                         break;
                     case (int)CommonDefine.ApprovalStatus.Undecided:    // 未定
-                        btnNotPetition.Visible = false;                                                                     // 申請取消ボタン
+                    case (int)CommonDefine.ApprovalStatus.Unclaimed:    // 未申請
+                        btnPetition.Visible = true;                 // 申請ボタン
+                        btnPetition.Left = s_ButtonPosition[2].X;
+                        btnPetition.Top = s_ButtonPosition[2].Y;
+                        
+                        btnRePetition.Visible = false;              // 再申請ボタン
+                        btnNotPetition.Visible = false;             // 申請取消ボタン
+
+                        txtHoppesDate.Enabled = true;               // 承認希望日
+
+                        btnApproval.Visible = false;                // 承認ボタン
+                        btnNotApproval.Visible = false;             // 不承認ボタン
+                        btnOnHold.Visible = false;                  // 保留ボタン
                         break;
                 }
             }
@@ -493,11 +554,6 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
-            {
-                pAppDB.close(); pAppDB = null;
-            }
-
         }
         #endregion
 
@@ -515,44 +571,10 @@
             // 承認者以外は確認画面使用のみ
             panel3.Visible = false;
             this.Size = new Size(this.Size.Width, (this.Size.Height - panel3.Height));
-            btnEnd.Location = new Point(btnEnd.Location.X, (btnEnd.Location.Y - panel3.Height));
-        }
-        #endregion
+            panel5.Size = new Size(panel5.Size.Width, (panel2.Size.Height + panel4.Size.Height));
+            tvDispData.Size = new Size(tvDispData.Size.Width, (panel5.Size.Height - 40));
 
-        #region タイトルとボタンの表示状態を制御する
-        /// <summary>
-        /// タイトルとボタンの表示状態を制御する
-        /// </summary>
-        private void SetDisplayTitleAndButton(int Status)
-        {
-            switch (Status)
-            {
-                case (int)CommonDefine.ApprovalStatus.Petition: // 申請
-                case (int)CommonDefine.ApprovalStatus.Pending:  // 保留
-                case (int)CommonDefine.ApprovalStatus.Approval: // 承認
-                    label1.Text = "承　　認　　処　　理";                                                               // タイトル
-                    btnPetition.Visible = false;                                                                        // 申請ボタン
-                    txtHoppesDate.Enabled = false;                                                                      // 承認希望日
-                    txtPetitionComment.ReadOnly = true;                                                                 // 申請コメント
-
-                    btnApproval.Visible = true;                                                                         // 承認ボタン
-                    btnNotApproval.Visible = true;                                                                      // 不承認ボタン
-                    btnOnHold.Visible = true;                                                                           // 保留ボタン
-                    txtApprovalComment.Enabled = true;                                                                  // 承認コメント
-                    break;
-                case (int)CommonDefine.ApprovalStatus.Undecided:    // 未定
-                case (int)CommonDefine.ApprovalStatus.NotApproval:  // 不承認
-                    label1.Text = "申　　請　　処　　理";                                                               // タイトル
-                    btnPetition.Visible = true;                                                                         // 申請ボタン
-                    txtHoppesDate.Enabled = true;                                                                       // 承認希望日
-                    txtPetitionComment.Enabled = true;                                                                  // 申請コメント
-
-                    btnApproval.Visible = false;                                                                        // 承認ボタン
-                    btnNotApproval.Visible = false;                                                                     // 不承認ボタン
-                    btnOnHold.Visible = false;                                                                          // 保留ボタン
-                    txtApprovalComment.ReadOnly = true;                                                                 // 承認コメント
-                    break;
-            }
+            //btnEnd.Location = new Point(btnEnd.Location.X, (btnEnd.Location.Y - panel3.Height));
         }
         #endregion
 
@@ -619,7 +641,7 @@
                 
                 object[] objRec = (object[])workdlist[0];
                 // データ表示
-                m_dispLabelControl[(int)DispHeader.ConstructionCode].Text = m_ConstructionCode.ToString();                  // 工事コード
+                m_dispLabelControl[(int)DispHeader.ConstructionCode].Text = CommonMotions.cnvStringCodeFromInt(m_ConstructionCode, "-", 8);     // 工事コード
                 m_dispLabelControl[(int)DispHeader.ConstructionName].Text = CommonMotions.cnvString(objRec[0]);             // 工事名称
                 //ツールチップを表示するコントロールと、表示するメッセージ
                 toolTip1.SetToolTip(m_dispLabelControl[(int)DispHeader.ConstructionName], CommonMotions.cnvString(objRec[0]));
@@ -692,7 +714,7 @@
 
                 // 申請者名取得
                 //strSQL = "SELECT IFNULL(C.APPROVALSTATUS, -1),";
-                //strSQL += " TO_CHAR(C.APPROVALLIMITDATES,'YYYY/MM/DD'),";
+                //strSQL += " DATE_FORMAT(C.APPROVALLIMITDATES,'YYYY/MM/DD'),";
                 strSQL = "SELECT IFNULL(C.APPROVALSTATUS, -1),";
                 strSQL += " DATE_FORMAT(C.APPROVALLIMITDATES,'%Y/%m/%d'),";
                 strSQL += " C.INPUTCOMMENT,";
@@ -699,7 +721,7 @@
                 strSQL += " A.PersonName,";
                 strSQL += " A.DisplayString,";
                 strSQL += " B.DepartmentString,";
-                //strSQL += " TO_CHAR(C.ENTRYDATE,'YYYY/MM/DD')";
+                //strSQL += " DATE_FORMAT(C.ENTRYDATE,'YYYY/MM/DD')";
                 strSQL += " DATE_FORMAT(C.ENTRYDATE,'%Y/%m/%d')";
                 strSQL += " FROM PERSONINCHARGEMASTER A";
                 strSQL += " LEFT JOIN DEPARTMENTMASTER B ON B.DEPARTMENTCODE = A.DEPARTMENTCODE";
@@ -723,7 +745,10 @@
                 }
 
                 m_dispLabelControl[(int)DispHeader.PetitionStatus].Text = CommonDefine.ApprovalStatusString[ApprovalStatus];            // 申請状態
+                m_dispLabelControl[(int)DispHeader.PetitionStatus].BackColor = CommonDefine.ApprovalBackStatusColor[ApprovalStatus];
+                m_dispLabelControl[(int)DispHeader.PetitionStatus].ForeColor = CommonDefine.ApprovalForeStatusColor[ApprovalStatus];
 
+
                 m_dispLabelControl[(int)DispHeader.PetitionName].Text = strPersonName;                                                  // 申請者名
                 
                 m_dispLabelControl[(int)DispHeader.PetitionHopeDates].Text = strDate;                                                   // 承認希望日
@@ -730,16 +755,16 @@
 
                 m_dispLabelControl[(int)DispHeader.PetitionDepartmentName].Text = strDepartment;                                        // 部署名
 
-                m_dispLabelControl[(int)DispHeader.PetitionComment].Text = strComment;                                                  // 申請コメント
-
                 m_dispLabelControl[(int)DispHeader.ApprovalDate].Text = EntryDate;                                                      // 登録年月日
 
+                // 申請者コード退避
+                m_PetitionPerson = pRec.PersonCode;
 
-                // 申請取消ボタン表示(申請時以外は押下可能)
-                DispNotPetitionButton(ApprovalStatus);
+                // 再申請ボタン表示(申請時以外は押下可能)
+                DispRePetitionButton(ApprovalStatus);
 
                 // 申請・承認以外は申請ボタンを表示する
-                SetDisplayTitleAndButton(ApprovalStatus);
+                //SetDisplayTitleAndButton(ApprovalStatus);
 
             }
             catch (Exception ex)
@@ -760,11 +785,14 @@
         private bool SetApprovalData()
         {
             IOProcessApproval pAppDB = new IOProcessApproval();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
-            IOMDepartment dpDB = new IOMDepartment();
             try
             {
                 dgvEntryData.Rows.Clear();
+                // スクロールの時は最後のカラムより20ピッチ減らす
+                if (m_ApprovalList.Count > 5)
+                {
+                    dgvEntryData.Columns[(int)DispGridColumn.DisplayString].Width = 140;
+                }
 
                 // データセット
                 foreach (ApprovalMaster rec in m_ApprovalList)
@@ -779,7 +807,7 @@
 
                     // 承認データを取得する
                     string strSQL = "SELECT IFNULL(C.APPROVALSTATUS, -1),";
-                    //strSQL += " TO_CHAR(C.PETITIONAPPROVALDATE,'YYYY/MM/DD'),";
+                    //strSQL += " DATE_FORMAT(C.PETITIONAPPROVALDATE,'YYYY/MM/DD'),";
                     strSQL += " DATE_FORMAT(C.PETITIONAPPROVALDATE,'%Y/%m/%d'),";
                     strSQL += " C.INPUTCOMMENT,";
                     strSQL += " A.PersonName,";
@@ -815,11 +843,9 @@
                                                             CommonDefine.ApprovalStatusString[ApprovalStatus],
                                                             strDate,
                                                             strDepartment,
-                                                            strPersonPosion,
-                                                            strComment
-                                                            );
-                    dgvEntryData.Rows[AddRowCnt].Cells[(int)DispGridColumn.ApprovalStatus].Style.BackColor = CommonDefine.ApprovalBackColorStatusColor[ApprovalStatus];
-                    dgvEntryData.Rows[AddRowCnt].Cells[(int)DispGridColumn.ApprovalStatus].Style.ForeColor = CommonDefine.ApprovalForeColorStatusColor[ApprovalStatus];
+                                                            strPersonPosion);
+                    dgvEntryData.Rows[AddRowCnt].Cells[(int)DispGridColumn.ApprovalStatus].Style.BackColor = CommonDefine.ApprovalBackStatusColor[ApprovalStatus];
+                    dgvEntryData.Rows[AddRowCnt].Cells[(int)DispGridColumn.ApprovalStatus].Style.ForeColor = CommonDefine.ApprovalForeStatusColor[ApprovalStatus];
                 }
 
                 return true;
@@ -832,8 +858,6 @@
             finally
             {
                 pAppDB.close(); pAppDB = null;
-                picDB.close(); picDB = null;
-                dpDB.close(); dpDB = null;
 
                 // 5行表示なので足りない場合は空行で埋める
                 if ((5 - dgvEntryData.RowCount) > 0) dgvEntryData.Rows.Add((5 - dgvEntryData.RowCount));
@@ -893,8 +917,6 @@
                 m_dispLabelControl[(int)DispHeader.ApprovalDisplayString].Text = CommonMotions.LoginUserData.DisplayString;         // 役職名
                 m_dispLabelControl[(int)DispHeader.ApprovalStatus].Text = strStatus;                                                // 状態
 
-                m_dispLabelControl[(int)DispHeader.ApprovalComment].Text = strComment;                                              // コメント
-
                 return true;
             }
             catch (Exception ex)
@@ -925,15 +947,6 @@
                 bAns = CommonMotions.DispFieldDateCheck(m_dispLabelControl[(int)DispHeader.PetitionHopeDates], true);
                 bRet &= bAns;
 
-                // 申請コメント
-                bAns = true;
-                bAns = CommonMotions.DispFieldLengthCheck(m_dispLabelControl[(int)DispHeader.PetitionComment], 300);
-                bRet &= bAns;
-
-                // 承認コメント
-                bAns = true;
-                bAns = CommonMotions.DispFieldLengthCheck(m_dispLabelControl[(int)DispHeader.PetitionComment], 300);
-                bRet &= bAns;
                 if (!bRet)
                 {
                     MessageBox.Show("入力値にエラーがあります、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
@@ -975,6 +988,8 @@
                         Rec.ApprovalLimitDates = CommonMotions.cnvDate(m_dispLabelControl[(int)DispHeader.PetitionHopeDates].Text);
                         // 申請データの作成
                         if (!DataUpdate(Rec)) return;
+                        // コメントデータ登録
+                        EntryComment(Code2);
                     }
                 }
                 else if (Rec.ApprovalCode == Code2)         // 積算予算書の申請時は積算見積書も申請する
@@ -986,6 +1001,8 @@
                     Rec.ApprovalLimitDates = CommonMotions.cnvDate(m_dispLabelControl[(int)DispHeader.PetitionHopeDates].Text);
                     // 申請データの作成
                     if (!DataUpdate(Rec)) return;
+                    // コメントデータ登録
+                    EntryComment(Code1);
                 }
             }
             catch (Exception ex)
